package com.hw.dms.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.hw.common.core.annotation.Excel;
import com.hw.common.core.web.domain.BaseEntity;

/**
 * 润滑记录对象 dms_record_lube
 *
 * @author Open Platform
 * @date 2024-01-12
 */
public class DmsRecordLube extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键标识 */
    private Long recordLubeId;

    /** 润滑工单编号 */
    @Excel(name = "润滑工单编号")
    private String billsLubeCode;

    /** 润滑设备ID，关联dms_base_device_ledger的device_id */
    @Excel(name = "润滑设备ID，关联dms_base_device_ledger的device_id")
    private Long deviceId;

    /** 润滑级别：1-日常润滑；2-月度润滑；3-年度润滑 */
    @Excel(name = "润滑级别：1-日常润滑；2-月度润滑；3-年度润滑")
    private String lubeLevel;

    /** 润滑组别 */
    @Excel(name = "润滑组别")
    private String lubeGroup;

    /** 计划润滑时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "计划润滑时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date planTime;

    /** 实际润滑时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "实际润滑时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date realBeginTime;

    /** 实际润滑时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "实际润滑时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date realEndTime;

    /** 润滑状态：1-待润滑；2-润滑中；3-已完成 */
    @Excel(name = "润滑状态：1-待润滑；2-润滑中；3-已完成")
    private String lubeStatus;

    /** 操作描述 */
    @Excel(name = "操作描述")
    private String operationsDescription;

    /** 润滑时长 */
    @Excel(name = "润滑时长")
    private String lubeDuration;

    /** 是否标识：1-是；0-否 */
    @Excel(name = "是否标识：1-是；0-否")
    private String isFlag;

    private String deviceName;

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public void setRecordLubeId(Long recordLubeId)
    {
        this.recordLubeId = recordLubeId;
    }

    public Long getRecordLubeId()
    {
        return recordLubeId;
    }
    public void setBillsLubeCode(String billsLubeCode)
    {
        this.billsLubeCode = billsLubeCode;
    }

    public String getBillsLubeCode()
    {
        return billsLubeCode;
    }
    public void setDeviceId(Long deviceId)
    {
        this.deviceId = deviceId;
    }

    public Long getDeviceId()
    {
        return deviceId;
    }
    public void setLubeLevel(String lubeLevel)
    {
        this.lubeLevel = lubeLevel;
    }

    public String getLubeLevel()
    {
        return lubeLevel;
    }
    public void setLubeGroup(String lubeGroup)
    {
        this.lubeGroup = lubeGroup;
    }

    public String getLubeGroup()
    {
        return lubeGroup;
    }
    public void setPlanTime(Date planTime)
    {
        this.planTime = planTime;
    }

    public Date getPlanTime()
    {
        return planTime;
    }
    public void setRealBeginTime(Date realBeginTime)
    {
        this.realBeginTime = realBeginTime;
    }

    public Date getRealBeginTime()
    {
        return realBeginTime;
    }
    public void setRealEndTime(Date realEndTime)
    {
        this.realEndTime = realEndTime;
    }

    public Date getRealEndTime()
    {
        return realEndTime;
    }
    public void setLubeStatus(String lubeStatus)
    {
        this.lubeStatus = lubeStatus;
    }

    public String getLubeStatus()
    {
        return lubeStatus;
    }
    public void setOperationsDescription(String operationsDescription)
    {
        this.operationsDescription = operationsDescription;
    }

    public String getOperationsDescription()
    {
        return operationsDescription;
    }
    public void setLubeDuration(String lubeDuration)
    {
        this.lubeDuration = lubeDuration;
    }

    public String getLubeDuration()
    {
        return lubeDuration;
    }
    public void setIsFlag(String isFlag)
    {
        this.isFlag = isFlag;
    }

    public String getIsFlag()
    {
        return isFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("recordLubeId", getRecordLubeId())
            .append("billsLubeCode", getBillsLubeCode())
            .append("deviceId", getDeviceId())
            .append("lubeLevel", getLubeLevel())
            .append("lubeGroup", getLubeGroup())
            .append("planTime", getPlanTime())
            .append("realBeginTime", getRealBeginTime())
            .append("realEndTime", getRealEndTime())
            .append("lubeStatus", getLubeStatus())
            .append("operationsDescription", getOperationsDescription())
            .append("lubeDuration", getLubeDuration())
            .append("isFlag", getIsFlag())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
